Bug 989 - devfs error messages on boot
Summary: devfs error messages on boot
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 2.2-CURRENT
Hardware: Any Any
: Normal Affects Only Me
Assignee: Julian Elischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1996-02-03 08:40 UTC by Paul Traina
Modified: 1996-04-09 18:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Traina 1996-02-03 08:40:01 UTC
FreeBSD 2.2-CURRENT #0: Sat Feb  3 00:10:22 PST 1996
    pst@precipice.shockwave.com:/usr/src.current/sys/compile/PRECIPICE
CPU: Pentium (59.99-MHz 586-class CPU)
  Origin = "GenuineIntel"  Id = 0x515  Stepping=5
  Features=0x1bf<FPU,VME,PSE,MCE,CX8,APIC>
real memory  = 16777216 (16384K bytes)
avail memory = 14729216 (14384K bytes)
DEVFS: ready for devices
Probing for devices on the ISA bus:
sc0 at 0x60-0x6f irq 1 on motherboard
sc0: VGA color <16 virtual consoles, flags=0x0>
ed0 at 0x280-0x29f irq 9 maddr 0xd8000 msize 8192 on isa
ed0: address 00:00:c0:93:88:53, type WD8013EPC (8 bit) 
sio0 at 0x3f8-0x3ff irq 4 on isa
sio0: type 16550A
sio1 at 0x2f8-0x2ff irq 3 on isa
sio1: type 16550A
sio2 at 0x3e8-0x3ef irq 5 on isa
sio2: type 16550A
lpt0 at 0x3bc-0x3c3 irq 7 on isa
lpt0: Interrupt-driven port
lp0: TCP/IP capable interface
fdc0 at 0x3f0-0x3f7 irq 6 drq 2 on isa
fdc0: NEC 765
fd0: 1.44MB 3.5in
bt0: Bt445S/ 0-(32bit) bus
bt0: Your card cannot DMA above 16MB boundary. Bounce buffering enabled.
bt0: reading board settings, dma=5, int=11
bt0: version 3.37, fast sync, no parity, 32 mbxs, 32 ccbs
bt0: targ 0 sync rate=10.00MB/s(100ns), offset=15
bt0: targ 1 sync rate= 4.54MB/s(220ns), offset=15
bt0: targ 2 sync rate=10.00MB/s(100ns), offset=15
bt0: targ 4 async
bt0: targ 6 sync rate= 4.54MB/s(220ns), offset=15
bt0: Using Strict Round robin scheme
bt0 at 0x330 irq 11 drq 5 on isa
(bt0:0:0): "QUANTUM PD1800S 3161" type 0 fixed SCSI 2
sd0(bt0:0:0): Direct-Access 1717MB (3517856 512 byte sectors)
(bt0:1:0): "MAXTOR P0-12S JB22" type 0 fixed SCSI 1
sd1(bt0:1:0): Direct-Access 997MB (2042265 512 byte sectors)
(bt0:2:0): "QUANTUM EMPIRE_1080S 111V" type 0 fixed SCSI 2
sd2(bt0:2:0): Direct-Access 1029MB (2109376 512 byte sectors)
(bt0:4:0): "NEC CD-ROM DRIVE:210 1.0" type 5 removable SCSI 1
cd0(bt0:4:0): CD-ROM 
cd0(bt0:4:0): NOT READY csi:20,b,0,0 asc:b,0 
can't get the size
(bt0:6:0): "CONNER CTMS  3200 7.00" type 1 removable SCSI 2
st0(bt0:6:0): Sequential-Access density code 0x0,  drive empty
npx0 on motherboard
npx0: INT 16 interface
qcam0 at 0x3bc on isa
joy0 at 0x201 on isa
joy0: joystick
gus0 at 0x220 irq 12 drq 1 flags 0x3 on isa
 at 0x220 irq 12 dma 1,3

devfs ready to run
Device sd2s1a: name slot allocation failed (E=17)
Device rsd2s1a: name slot allocation failed (E=17)
Device sd2s1b: name slot allocation failed (E=17)
Device rsd2s1b: name slot allocation failed (E=17)
Device sd2s1e: name slot allocation failed (E=17)
Device rsd2s1e: name slot allocation failed (E=17)
Device sd2s1a: name slot allocation failed (E=17)
Device rsd2s1a: name slot allocation failed (E=17)
Device sd2s1b: name slot allocation failed (E=17)
Device rsd2s1b: name slot allocation failed (E=17)
Device sd2s1e: name slot allocation failed (E=17)
Device rsd2s1e: name slot allocation failed (E=17)

Fix: 

this was an artifact of the fact that the devfs system was being 
changed
This bug has been removed.
How-To-Repeat: 
Boot 2.2-current as of today (2/2/96) with DEVFS.
Comment 1 julian 1996-02-05 00:46:23 UTC
Ok I'm looking at it  but  first I have to figure out why my newly made -current kernels
crash on this system :(

> 
> 
> >Number:         989
> >Category:       kern
> >Synopsis:       devfs error messages on boot
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       medium
> >Responsible:    freebsd-bugs
> >State:          open
> >Class:          sw-bug
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Feb  3 00:40:01 PST 1996
> >Last-Modified:
> >Originator:     Paul Traina
> >Organization:
> Shockwave Engineering
> >Release:        FreeBSD 2.2-CURRENT i386
> >Environment:
> 
> FreeBSD 2.2-CURRENT #0: Sat Feb  3 00:10:22 PST 1996
> pst@precipice.shockwave.com:/usr/src.current/sys/compile/PRECIPICE
> 
> >Description:
> 
> FreeBSD 2.2-CURRENT #0: Sat Feb  3 00:10:22 PST 1996
>     pst@precipice.shockwave.com:/usr/src.current/sys/compile/PRECIPICE
> CPU: Pentium (59.99-MHz 586-class CPU)
>   Origin = "GenuineIntel"  Id = 0x515  Stepping=5
>   Features=0x1bf<FPU,VME,PSE,MCE,CX8,APIC>
> real memory  = 16777216 (16384K bytes)
> avail memory = 14729216 (14384K bytes)
> DEVFS: ready for devices
> Probing for devices on the ISA bus:
> sc0 at 0x60-0x6f irq 1 on motherboard
> sc0: VGA color <16 virtual consoles, flags=0x0>
> ed0 at 0x280-0x29f irq 9 maddr 0xd8000 msize 8192 on isa
> ed0: address 00:00:c0:93:88:53, type WD8013EPC (8 bit) 
> sio0 at 0x3f8-0x3ff irq 4 on isa
> sio0: type 16550A
> sio1 at 0x2f8-0x2ff irq 3 on isa
> sio1: type 16550A
> sio2 at 0x3e8-0x3ef irq 5 on isa
> sio2: type 16550A
> lpt0 at 0x3bc-0x3c3 irq 7 on isa
> lpt0: Interrupt-driven port
> lp0: TCP/IP capable interface
> fdc0 at 0x3f0-0x3f7 irq 6 drq 2 on isa
> fdc0: NEC 765
> fd0: 1.44MB 3.5in
> bt0: Bt445S/ 0-(32bit) bus
> bt0: Your card cannot DMA above 16MB boundary. Bounce buffering enabled.
> bt0: reading board settings, dma=5, int=11
> bt0: version 3.37, fast sync, no parity, 32 mbxs, 32 ccbs
> bt0: targ 0 sync rate=10.00MB/s(100ns), offset=15
> bt0: targ 1 sync rate= 4.54MB/s(220ns), offset=15
> bt0: targ 2 sync rate=10.00MB/s(100ns), offset=15
> bt0: targ 4 async
> bt0: targ 6 sync rate= 4.54MB/s(220ns), offset=15
> bt0: Using Strict Round robin scheme
> bt0 at 0x330 irq 11 drq 5 on isa
> (bt0:0:0): "QUANTUM PD1800S 3161" type 0 fixed SCSI 2
> sd0(bt0:0:0): Direct-Access 1717MB (3517856 512 byte sectors)
> (bt0:1:0): "MAXTOR P0-12S JB22" type 0 fixed SCSI 1
> sd1(bt0:1:0): Direct-Access 997MB (2042265 512 byte sectors)
> (bt0:2:0): "QUANTUM EMPIRE_1080S 111V" type 0 fixed SCSI 2
> sd2(bt0:2:0): Direct-Access 1029MB (2109376 512 byte sectors)
> (bt0:4:0): "NEC CD-ROM DRIVE:210 1.0" type 5 removable SCSI 1
> cd0(bt0:4:0): CD-ROM 
> cd0(bt0:4:0): NOT READY csi:20,b,0,0 asc:b,0 
> can't get the size
> (bt0:6:0): "CONNER CTMS  3200 7.00" type 1 removable SCSI 2
> st0(bt0:6:0): Sequential-Access density code 0x0,  drive empty
> npx0 on motherboard
> npx0: INT 16 interface
> qcam0 at 0x3bc on isa
> joy0 at 0x201 on isa
> joy0: joystick
> gus0 at 0x220 irq 12 drq 1 flags 0x3 on isa
>  at 0x220 irq 12 dma 1,3
> 
> devfs ready to run
> Device sd2s1a: name slot allocation failed (E=17)
> Device rsd2s1a: name slot allocation failed (E=17)
> Device sd2s1b: name slot allocation failed (E=17)
> Device rsd2s1b: name slot allocation failed (E=17)
> Device sd2s1e: name slot allocation failed (E=17)
> Device rsd2s1e: name slot allocation failed (E=17)
> Device sd2s1a: name slot allocation failed (E=17)
> Device rsd2s1a: name slot allocation failed (E=17)
> Device sd2s1b: name slot allocation failed (E=17)
> Device rsd2s1b: name slot allocation failed (E=17)
> Device sd2s1e: name slot allocation failed (E=17)
> Device rsd2s1e: name slot allocation failed (E=17)
> 
> >How-To-Repeat:
> 
> Boot 2.2-current as of today (2/2/96) with DEVFS.
> 
> >Fix:
> 	
> 	
> 
> >Audit-Trail:
> >Unformatted:
>
Comment 2 gpalmer freebsd_committer 1996-04-09 03:19:21 UTC
Responsible Changed
From-To: freebsd-bugs->julian

Julian is Mr Devfs. 
Comment 3 Julian Elischer freebsd_committer 1996-04-09 18:55:06 UTC
State Changed
From-To: open->closed


The 'bug' was removed in the normal course of devfs development.